include:
    - https://gitlab.com/gitlab-org/security-products/tests/api-fuzzing-e2e/e2e-image/-/raw/master/template-apifuzzing.yml

stages:
    - config
    - fuzz
    - verify

variables:
    FUZZAPI_HAR: test_rest_target.har
    FUZZAPI_TARGET_URL: http://149.248.44.52:7777
    FUZZAPI_OVERRIDES_ENV: '{"headers":{"Authorization":"Token b5638ae7-6e77-4585-b035-7d9de2e3f6b3"}}'
    #
    # EXPECT_REPORT_COUNT_MIN: 1
    # EXPECT_REPORT_COUNT_MAX: 6

# Reset remote target's DB
# This helps keep the vulnerability count the same
config:
    image: registry.gitlab.com/gitlab-org/security-products/tests/api-fuzzing-e2e/e2e-image
    stage: config
    script:
        - curl $FUZZAPI_TARGET_URL/api/cleandb

# end
